=== debian/changelog ===
ros-galactic-nav2-controller (1.0.12-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Carl Delsey <carl.r.delsey@intel.com>  Wed, 25 May 2022 19:12:51 -0000
