=== debian/control ===
Source: ros-galactic-nav2-controller
Section: misc
Priority: optional
Maintainer: Carl Delsey <carl.r.delsey@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-angles, ros-galactic-nav-2d-msgs, ros-galactic-nav-2d-utils, ros-galactic-nav2-common, ros-galactic-nav2-core, ros-galactic-nav2-msgs, ros-galactic-nav2-util, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-nav2-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-angles, ros-galactic-nav-2d-msgs, ros-galactic-nav-2d-utils, ros-galactic-nav2-core, ros-galactic-nav2-msgs, ros-galactic-nav2-util, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: Controller action interface
